<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::avsCommon::utils::http2::HTTP2RequestConfig Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">avsCommon</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html">utils</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html">http2</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html">HTTP2RequestConfig</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::avsCommon::utils::http2::HTTP2RequestConfig Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_h_t_t_p2_request_config_8h_source.html">HTTP2RequestConfig.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad8572ec157e4cbb822e593c0cd051615"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#ad8572ec157e4cbb822e593c0cd051615">HTTP2RequestConfig</a> (<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#adac37956726cfc5067118c2366d25918">HTTP2RequestType</a> type, const std::string &amp;url, const std::string &amp;idPrefix)</td></tr>
<tr class="separator:ad8572ec157e4cbb822e593c0cd051615"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d02588f39190118ccb830297aba2e79"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a5d02588f39190118ccb830297aba2e79">setConnectionTimeout</a> (std::chrono::milliseconds timeout)</td></tr>
<tr class="separator:a5d02588f39190118ccb830297aba2e79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8766de06841a487596104b6eb3c658b6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a8766de06841a487596104b6eb3c658b6">setTransferTimeout</a> (std::chrono::milliseconds timeout)</td></tr>
<tr class="separator:a8766de06841a487596104b6eb3c658b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4256748b1cdb6b45ecacde970014b2d8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a4256748b1cdb6b45ecacde970014b2d8">setActivityTimeout</a> (std::chrono::milliseconds timeout)</td></tr>
<tr class="separator:a4256748b1cdb6b45ecacde970014b2d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7638069320a732658fb191f8c0dab659"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a7638069320a732658fb191f8c0dab659">setPriority</a> (uint8_t priority)</td></tr>
<tr class="separator:a7638069320a732658fb191f8c0dab659"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b6892762b3af8f1f7bbb7afd0633ca5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a9b6892762b3af8f1f7bbb7afd0633ca5">setRequestSource</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_source_interface.html">HTTP2RequestSourceInterface</a> &gt; source)</td></tr>
<tr class="separator:a9b6892762b3af8f1f7bbb7afd0633ca5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad7156c60e04e9a0818159e2ddc2e829"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#aad7156c60e04e9a0818159e2ddc2e829">setResponseSink</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_response_sink_interface.html">HTTP2ResponseSinkInterface</a> &gt; sink)</td></tr>
<tr class="separator:aad7156c60e04e9a0818159e2ddc2e829"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a758462058e9ddae6c06db06678a267"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a1a758462058e9ddae6c06db06678a267">setIntermittentTransferExpected</a> ()</td></tr>
<tr class="separator:a1a758462058e9ddae6c06db06678a267"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f1ff200db8c8fd700667b1af171d35e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a3f1ff200db8c8fd700667b1af171d35e">setLogicalStreamIdPrefix</a> (std::string logicalStreamIdPrefix)</td></tr>
<tr class="separator:a3f1ff200db8c8fd700667b1af171d35e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab76afa14f307318541abee48bf19a6d2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#adac37956726cfc5067118c2366d25918">HTTP2RequestType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#ab76afa14f307318541abee48bf19a6d2">getRequestType</a> () const</td></tr>
<tr class="separator:ab76afa14f307318541abee48bf19a6d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d93c7f2bb3b98d68574411edb3c149b"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a2d93c7f2bb3b98d68574411edb3c149b">getUrl</a> () const</td></tr>
<tr class="separator:a2d93c7f2bb3b98d68574411edb3c149b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c896966f71baa9eba8d92ca165b7e91"><td class="memItemLeft" align="right" valign="top">std::chrono::milliseconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a3c896966f71baa9eba8d92ca165b7e91">getConnectionTimeout</a> () const</td></tr>
<tr class="separator:a3c896966f71baa9eba8d92ca165b7e91"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4062c0dc753d10d9b1c7bc574a2f3779"><td class="memItemLeft" align="right" valign="top">std::chrono::milliseconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a4062c0dc753d10d9b1c7bc574a2f3779">getTransferTimeout</a> () const</td></tr>
<tr class="separator:a4062c0dc753d10d9b1c7bc574a2f3779"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8f5b280e3ddd966f37497804c697870"><td class="memItemLeft" align="right" valign="top">std::chrono::milliseconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#ac8f5b280e3ddd966f37497804c697870">getActivityTimeout</a> () const</td></tr>
<tr class="separator:ac8f5b280e3ddd966f37497804c697870"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac800661dd12b763f6d0a867b760f15f0"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#ac800661dd12b763f6d0a867b760f15f0">getPriority</a> () const</td></tr>
<tr class="separator:ac800661dd12b763f6d0a867b760f15f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af026a34de25125e6fc694293889163c8"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_source_interface.html">HTTP2RequestSourceInterface</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#af026a34de25125e6fc694293889163c8">getSource</a> () const</td></tr>
<tr class="separator:af026a34de25125e6fc694293889163c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ff3dbebe3b2cd3415a6a5196400499f"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_response_sink_interface.html">HTTP2ResponseSinkInterface</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a3ff3dbebe3b2cd3415a6a5196400499f">getSink</a> () const</td></tr>
<tr class="separator:a3ff3dbebe3b2cd3415a6a5196400499f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2ab03c41d9ae2c9730c7d679178f993"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#af2ab03c41d9ae2c9730c7d679178f993">isIntermittentTransferExpected</a> () const</td></tr>
<tr class="separator:af2ab03c41d9ae2c9730c7d679178f993"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf44014b324b9517f5872265edcf852b"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#acf44014b324b9517f5872265edcf852b">getId</a> () const</td></tr>
<tr class="separator:acf44014b324b9517f5872265edcf852b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">Class for configuring an HTTP2 request. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ad8572ec157e4cbb822e593c0cd051615"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8572ec157e4cbb822e593c0cd051615">&#9670;&nbsp;</a></span>HTTP2RequestConfig()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::http2::HTTP2RequestConfig::HTTP2RequestConfig </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#adac37956726cfc5067118c2366d25918">HTTP2RequestType</a>&#160;</td>
          <td class="paramname"><em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>url</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>idPrefix</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Constructor.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">type</td><td>The type of request. </td></tr>
    <tr><td class="paramname">url</td><td>The URL to receive the request. </td></tr>
    <tr><td class="paramname">idPrefix</td><td>Prefix used when creating the request's ID. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ac8f5b280e3ddd966f37497804c697870"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac8f5b280e3ddd966f37497804c697870">&#9670;&nbsp;</a></span>getActivityTimeout()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::chrono::milliseconds alexaClientSDK::avsCommon::utils::http2::HTTP2RequestConfig::getActivityTimeout </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Get the maximum time, in milliseconds, to wait between any read or write operations for this request.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">timeout</td><td>The max amount of time, in milliseconds, between any read or write operations for this request. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a3c896966f71baa9eba8d92ca165b7e91"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c896966f71baa9eba8d92ca165b7e91">&#9670;&nbsp;</a></span>getConnectionTimeout()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::chrono::milliseconds alexaClientSDK::avsCommon::utils::http2::HTTP2RequestConfig::getConnectionTimeout </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Get the maximum time, in milliseconds, for the connection phase to the server to take.</p>
<dl class="section return"><dt>Returns</dt><dd>The max amount of time, in milliseconds, for the connection phase to the server to take. </dd></dl>

</div>
</div>
<a id="acf44014b324b9517f5872265edcf852b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf44014b324b9517f5872265edcf852b">&#9670;&nbsp;</a></span>getId()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::avsCommon::utils::http2::HTTP2RequestConfig::getId </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Get the name used to identify the request.</p>
<dl class="section return"><dt>Returns</dt><dd>the name sued to identify the request. </dd></dl>

</div>
</div>
<a id="ac800661dd12b763f6d0a867b760f15f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac800661dd12b763f6d0a867b760f15f0">&#9670;&nbsp;</a></span>getPriority()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t alexaClientSDK::avsCommon::utils::http2::HTTP2RequestConfig::getPriority </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Get the priority of this request.</p>
<dl class="section return"><dt>Returns</dt><dd>The priority of the request. Higher values (max 255) specify higher priority. By default requests are assigned a priority of 16. </dd></dl>
<dl class="section see"><dt>See also</dt><dd><a href="https://tools.ietf.org/html/rfc7540#section-5.3">https://tools.ietf.org/html/rfc7540#section-5.3</a> </dd></dl>

</div>
</div>
<a id="ab76afa14f307318541abee48bf19a6d2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab76afa14f307318541abee48bf19a6d2">&#9670;&nbsp;</a></span>getRequestType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#adac37956726cfc5067118c2366d25918">HTTP2RequestType</a> alexaClientSDK::avsCommon::utils::http2::HTTP2RequestConfig::getRequestType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Get the type of the request (like GET or POST)</p>
<dl class="section return"><dt>Returns</dt><dd>the request type </dd></dl>

</div>
</div>
<a id="a3ff3dbebe3b2cd3415a6a5196400499f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3ff3dbebe3b2cd3415a6a5196400499f">&#9670;&nbsp;</a></span>getSink()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_response_sink_interface.html">HTTP2ResponseSinkInterface</a> &gt; alexaClientSDK::avsCommon::utils::http2::HTTP2RequestConfig::getSink </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Get the object to receive the response to this HTTP2 request.</p>
<dl class="section return"><dt>Returns</dt><dd>The object to receive the response to this HTTP2 request. </dd></dl>

</div>
</div>
<a id="af026a34de25125e6fc694293889163c8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af026a34de25125e6fc694293889163c8">&#9670;&nbsp;</a></span>getSource()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_source_interface.html">HTTP2RequestSourceInterface</a> &gt; alexaClientSDK::avsCommon::utils::http2::HTTP2RequestConfig::getSource </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Get the object to provide the data for this HTTP2 request.</p>
<dl class="section return"><dt>Returns</dt><dd>The object to provide the data for this HTTP2 POST request. </dd></dl>

</div>
</div>
<a id="a4062c0dc753d10d9b1c7bc574a2f3779"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4062c0dc753d10d9b1c7bc574a2f3779">&#9670;&nbsp;</a></span>getTransferTimeout()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::chrono::milliseconds alexaClientSDK::avsCommon::utils::http2::HTTP2RequestConfig::getTransferTimeout </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Get the maximum time the request is allowed to take.</p>
<dl class="section return"><dt>Returns</dt><dd>The max amount of time, in milliseconds, that the request is allowed to take. </dd></dl>

</div>
</div>
<a id="a2d93c7f2bb3b98d68574411edb3c149b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2d93c7f2bb3b98d68574411edb3c149b">&#9670;&nbsp;</a></span>getUrl()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::avsCommon::utils::http2::HTTP2RequestConfig::getUrl </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Get the URL which is to receive the request.</p>
<dl class="section return"><dt>Returns</dt><dd>The URL to receive the request. </dd></dl>

</div>
</div>
<a id="af2ab03c41d9ae2c9730c7d679178f993"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af2ab03c41d9ae2c9730c7d679178f993">&#9670;&nbsp;</a></span>isIntermittentTransferExpected()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::utils::http2::HTTP2RequestConfig::isIntermittentTransferExpected </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Whether this request expects that transfer will happen intermittently. </p><dl class="section return"><dt>Returns</dt><dd>Whether this request expects that transfer will happen intermittently. </dd></dl>

</div>
</div>
<a id="a4256748b1cdb6b45ecacde970014b2d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4256748b1cdb6b45ecacde970014b2d8">&#9670;&nbsp;</a></span>setActivityTimeout()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::avsCommon::utils::http2::HTTP2RequestConfig::setActivityTimeout </td>
          <td>(</td>
          <td class="paramtype">std::chrono::milliseconds&#160;</td>
          <td class="paramname"><em>timeout</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Specify the maximum time, in milliseconds, to wait between any read or write operations for this request.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">timeout</td><td>The max amount of time, in milliseconds, between any read or write operations for this request. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a5d02588f39190118ccb830297aba2e79"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d02588f39190118ccb830297aba2e79">&#9670;&nbsp;</a></span>setConnectionTimeout()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::avsCommon::utils::http2::HTTP2RequestConfig::setConnectionTimeout </td>
          <td>(</td>
          <td class="paramtype">std::chrono::milliseconds&#160;</td>
          <td class="paramname"><em>timeout</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Specify the maximum time, in milliseconds, for the connection phase to the server to take.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">timeout</td><td>The max amount of time, in milliseconds, for the connection phase to the server to take. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a1a758462058e9ddae6c06db06678a267"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a758462058e9ddae6c06db06678a267">&#9670;&nbsp;</a></span>setIntermittentTransferExpected()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::avsCommon::utils::http2::HTTP2RequestConfig::setIntermittentTransferExpected </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">If this request expects that transfer will happen intermittently, set this property. (It is false by default.) </p>

</div>
</div>
<a id="a3f1ff200db8c8fd700667b1af171d35e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f1ff200db8c8fd700667b1af171d35e">&#9670;&nbsp;</a></span>setLogicalStreamIdPrefix()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::avsCommon::utils::http2::HTTP2RequestConfig::setLogicalStreamIdPrefix </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>logicalStreamIdPrefix</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Set stream identification prefix to use for file names if extended curl logging is enabled. Request ID will be appended to it. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">logicalStreamIdPrefix</td><td>logical stream Id prefix to use in CURL log file names. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a7638069320a732658fb191f8c0dab659"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7638069320a732658fb191f8c0dab659">&#9670;&nbsp;</a></span>setPriority()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::avsCommon::utils::http2::HTTP2RequestConfig::setPriority </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>priority</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Specify the priority of this request.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">The</td><td>priority of the request. Higher values (max 255) specify higher priority. By default requests are assigned a priority of 16. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a href="https://tools.ietf.org/html/rfc7540#section-5.3">https://tools.ietf.org/html/rfc7540#section-5.3</a> </dd></dl>

</div>
</div>
<a id="a9b6892762b3af8f1f7bbb7afd0633ca5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9b6892762b3af8f1f7bbb7afd0633ca5">&#9670;&nbsp;</a></span>setRequestSource()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::avsCommon::utils::http2::HTTP2RequestConfig::setRequestSource </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_source_interface.html">HTTP2RequestSourceInterface</a> &gt;&#160;</td>
          <td class="paramname"><em>source</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Specify the object to provide the data for this HTTP2 request.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">source</td><td>The object to provide the data for this HTTP2 POST request. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aad7156c60e04e9a0818159e2ddc2e829"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aad7156c60e04e9a0818159e2ddc2e829">&#9670;&nbsp;</a></span>setResponseSink()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::avsCommon::utils::http2::HTTP2RequestConfig::setResponseSink </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_response_sink_interface.html">HTTP2ResponseSinkInterface</a> &gt;&#160;</td>
          <td class="paramname"><em>sink</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Specify the object to receive the response to this HTTP2 request.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">sink</td><td>The object to receive the response to this HTTP2 request. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a8766de06841a487596104b6eb3c658b6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8766de06841a487596104b6eb3c658b6">&#9670;&nbsp;</a></span>setTransferTimeout()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::avsCommon::utils::http2::HTTP2RequestConfig::setTransferTimeout </td>
          <td>(</td>
          <td class="paramtype">std::chrono::milliseconds&#160;</td>
          <td class="paramname"><em>timeout</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Specify the maximum time the request is allowed to take.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">timeout</td><td>The max amount of time, in milliseconds, that the request is allowed to take. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/AVSCommon/Utils/include/AVSCommon/Utils/HTTP2/<a class="el" href="_h_t_t_p2_request_config_8h_source.html">HTTP2RequestConfig.h</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
